### Name: lago
### Title: The LAGO Suite: An Introductory Overview
### Aliases: lago-package
### Keywords: models multivariate nonparametric

### ** Examples

## generate some training data
stuff<-generateLAGOexample(n=500,show=TRUE)
X<-stuff$X
y<-stuff$y

## generate some independent test data 
stuff<-generateLAGOexample(n=500,show=TRUE)
Xnew<-stuff$X
ynew<-stuff$y

## sLAGO example
my.lago<-sLago(y, X, kernel="g") 
lago.score<-rank.sLago(my.lago, Xnew)
par(mfrow=c(2,2))
view.sLago(my.lago,X) -> stuff
show.test(stuff, Xnew, ynew, score=lago.score)
avgp(ynew, lago.score)
topn(ynew, lago.score, n=20)

## eLAGO example
my.lago<-eLago(y, X, kernel="g") 
lago.score<-rank.eLago(my.lago, Xnew)
view.eLago(my.lago,X) -> stuff
show.test(stuff, Xnew, ynew, score=lago.score)
avgp(ynew, lago.score)
topn(ynew, lago.score, n=20)

## use the test data above as validation data to tune the control parameters
aGrid<-c(0.05,0.1,0.5,1,2,5,10)
Kgrid<-c(2,5,10,20,30)
tuneLago(y,X,ynew,Xnew,aGrid,Kgrid,kernel="g",version='s')
tuneLago(y,X,ynew,Xnew,aGrid,Kgrid,kernel="g",version='e')



